Bug 47415 - vclcanvas does not show pure-text effects on X11
Summary: vclcanvas does not show pure-text effects on X11
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: slideshow
Keywords:
Depends on:
Blocks: Slide-Show Desktop-Environment
  Show dependency treegraph
 
Reported: 2012-03-16 09:13 UTC by Thorsten Behrens (CIB)
Modified: 2018-10-22 21:26 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Demo file (493.71 KB, application/vnd.oasis.opendocument.presentation)
2012-03-16 09:13 UTC, Thorsten Behrens (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2012-03-16 09:13:29 UTC
Created attachment 58570 [details]
Demo file

Load attached bugdoc, switch to vclcanvas (Tools->Options->View disable Hardware acceleration), show slideshow - notice the flying-in object does not show the text.
Comment 1 Thorsten Behrens (CIB) 2012-03-16 11:27:49 UTC
mst confirms this independently on fedora. Looks like it's a general problem with cairo text rendering to 1bpp surfaces. And there's a bunch of other places hitting this case FWICT...
Comment 2 A (Andy) 2013-04-24 21:26:32 UTC
for me not reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Does this issue still persist for you with the latest release of LO?
Comment 3 Thorsten Behrens (CIB) 2013-09-12 16:14:58 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 4 QA Administrators 2015-04-01 14:42:57 UTC Comment hidden (obsolete)
Comment 5 tommy27 2016-04-16 07:25:50 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:27:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522